Description

Hello,

Location and Organization feature are great.

But in our use case, it's a lot of work to use it.

In fact we could use Location to restrict things like subnets,

compute resources, users and media.

On the other hand Organization will be used to restrict only

hostgroups.

Having to add all unmanaged resources to organization or location where

there is no impact is quite a lot of work.

What I mean is that that adding my hostgroup everytime I create one to all location

ask for more step and may be source of errors.

My point is that it would be great if I could say that Organization doesn't manage

subnets at ALL : it would filter no subnet. And when creating one I would just have to

affect it to the Location : the only thing that make sense for us.

Any thoughts ?

Associated revisions

Revision 307c352e - 01/24/2013 07:51 AM - Joseph Magen

fixes #1999 - Allow org/location to selectively ignore a domain, subnet etc

TODO:  excluding views

History

#1 - 12/05/2012 05:19 AM - Ohad Levy

- Category set to Organizations and Locations

#2 - 01/17/2013 04:53 AM - Ohad Levy

- Assignee set to Joseph Magen

- Target version set to 1.1

#3 - 01/17/2013 07:27 AM - Ohad Levy

- Subject changed from Restricted type of resource in  Location and Organization should be parameterable to Allow org/location to selectively ignore a

domain, subnet etc

#4 - 01/24/2013 11:29 AM - Joseph Magen

- Status changed from New to Closed

- % Done changed from 0 to 100

Applied in changeset 307c352ef02e2dadb4fd3205baacfcc5ab8d8dd0.

Powered by TCPDF (www.tcpdf.org)

05/12/2024 1/1

https://projects.theforeman.org/projects/foreman/repository/foreman/revisions/307c352ef02e2dadb4fd3205baacfcc5ab8d8dd0
http://www.tcpdf.org

